clang-tools 10.0.0

Classes | Namespaces
NonPrivateMemberVariablesInClassesCheck.h File Reference
`#include "../ClangTidyCheck.h"`
Include dependency graph for NonPrivateMemberVariablesInClassesCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::misc::NonPrivateMemberVariablesInClassesCheck
| This checker finds classes that not only contain the data (non-static member variables), but also have logic (non-static member functions), and diagnoses all member variables that have any other scope other than `private`. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::misc